Skip to main content
GET
/
api
/
v1
/
notifications
/
preferences
Get Preferences
curl --request GET \
  --url https://api.example.com/api/v1/notifications/preferences \
  --header 'Authorization: Bearer <token>'
{
  "email_enabled": true,
  "whatsapp_enabled": true,
  "notify_on_reply": true,
  "notify_on_bounce": true,
  "notify_on_complaint": true,
  "personal_email": "<string>",
  "whatsapp_number": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

email_enabled
boolean
required
whatsapp_enabled
boolean
required
notify_on_reply
boolean
required
notify_on_bounce
boolean
required
notify_on_complaint
boolean
required
personal_email
string | null
whatsapp_number
string | null